Create webhook

Create a new webhook for receiving event notifications.

POST
/v1/webhooks
AuthorizationBearer <token>

OAuth 2.0 authorization code flow

In: header

Request Body

application/json

Webhook details

TypeScript Definitions

Use the request body type in TypeScript.

Request body for creating a webhook

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/webhooks" \  -H "Content-Type: application/json" \  -d '{    "url": "https://example.com/webhooks/savvycal"  }'
{  "created_at": "2024-01-15T10:30:00Z",  "id": "wh_01J5KC8V1MKRFGT8V2WD9Y8H6X",  "secret": "abc123",  "state": "active",  "url": "https://example.com/webhooks/savvycal",  "version": "2020-11-18"}